org.apache.ignite.internal.processors.cache

## Class CacheWeakQueryIteratorsHolder.WeakQueryFutureIterator<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridIteratorAdapter<T>
  - - org.apache.ignite.internal.util.GridCloseableIteratorAdapter<T>
    - - org.apache.ignite.internal.processors.cache.CacheWeakQueryIteratorsHolder.WeakQueryFutureIterator<T>

Type Parameters:
  `T` - Type for iterator.

All Implemented Interfaces:
  Serializable, AutoCloseable, Iterable<T>, Iterator<T>, GridSerializableIterator<T>, GridCloseableIterator<T>, GridIterator<T>, IgniteSpiCloseableIterator<T>

Enclosing class:
  CacheWeakQueryIteratorsHolder<V>

    public class CacheWeakQueryIteratorsHolder.WeakQueryFutureIterator<T>
    extends GridCloseableIteratorAdapter<T>

Iterator based of `CacheQueryFuture`.

See Also:
  Serialized Form

### Method Summary

Methods
`protected void` `onClose()` Invoked on iterator close.
`boolean` `onHasNext()`
`T` `onNext()`
`protected void` `onRemove()` Called on remove from iterator.

### Methods inherited from class org.apache.ignite.internal.util.GridCloseableIteratorAdapter

`checkClosed, close, hasNextX, isClosed, nextX, removeX`

### Methods inherited from class org.apache.ignite.internal.util.lang.GridIteratorAdapter

`hasNext, iterator, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`iterator`

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

### Method Detail

#### onNext

    public T onNext()
             throws IgniteCheckedException

Specified by:
  `onNext` in class `GridCloseableIteratorAdapter<T>`
Returns:
  Next element.
Throws:
  `IgniteCheckedException` - If failed.

#### onHasNext

    public boolean onHasNext()
                      throws IgniteCheckedException

Specified by:
  `onHasNext` in class `GridCloseableIteratorAdapter<T>`
Returns:
  `True` if iterator has next element.
Throws:
  `IgniteCheckedException` - If failed.

#### onClose

    protected void onClose()
                    throws IgniteCheckedException

Invoked on iterator close.

Overrides:
  `onClose` in class `GridCloseableIteratorAdapter<T>`
Throws:
  `IgniteCheckedException` - If closing failed.

#### onRemove

    protected void onRemove()
                     throws IgniteCheckedException

Called on remove from iterator.

Overrides:
  `onRemove` in class `GridCloseableIteratorAdapter<T>`
Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015